package com.engine.kq.cmd.hrmAttProcSet;

/**
 * 考勤流程类型和action对应
 */
public enum KqSplitActionEnum {
  /**
   * 请假
   */
  LEAVE("0", "KqSplitAction"),
  /**
   * 出差
   */
  EVECTION("1", "KqSplitAction"),
  /**
   * 公出
   */
  OUT("2", "KqSplitAction"),
  /**
   * 加班
   */
  OVERTIME("3", "KqSplitAction"),
  /**
   * 异常流程
   */
  OTHER("4", "KqSplitAction"),
  /**
   * 排班流程
   */
  SHIFT("5", "KqSplitAction"),
  /**
   * 销假
   */
  LEAVEBACK("6", "KqSplitAction"),
  /**
   * 补卡
   */
  Card("7", "KqSplitAction"),
  /**
   * 考勤流程通用action
   */
  ATT("", "KqSplitAction");


  private String flowtype;
  private String splitAction;
  private String splitFreezeAction;

  /**
   * @param flowtype 考勤流程类型
   * @param splitAction action名称
   */
  KqSplitActionEnum(String flowtype, String splitAction) {
    this.flowtype = flowtype;
    this.splitAction = splitAction;
  }

  public String getFlowtype() {
    return flowtype;
  }

  public void setFlowtype(String flowtype) {
    this.flowtype = flowtype;
  }

  public String getSplitAction() {
    return splitAction;
  }

  public void setSplitAction(String splitAction) {
    this.splitAction = splitAction;
  }

}
